# Check inbound report status

Use this operation to get the status of the inbound report of a payment intent along with information about the related installment or recurring payment
(Recurring Payment, Gift Commitment or Recurring Donation object record). To get details of the related records themselves, use the [/Installment](/api/payment-api-v2/installment/)
and [/Recurring](/api/payment-api-v2/recurring) endpoints.

Endpoint: GET /PaymentIntent/{ID}
Version: v2
Security: Salesforce_Production, Salesforce_Sandbox

## Path parameters:

  - `ID` (string, required)
    The Id of the payment intent to check.

## Response 200 fields (application/json):

  - `Id` (string)
    Payment intent Id from the inbound report.
    Example: pi_1hubybk7nh45rvbt6

  - `Status` (string)
    Current status of the payment intent inbound report.
    Example: Matched

  - `Payer` (object)
    Contact and/or Account record details for the payer that can be used for followup actions.

  - `Payer.Contact` (object)

  - `Payer.Contact.Url` (any)
    Example: /services/data/v65.0/sobjects/Contact/a0P3X00000WjR8AUAV

  - `Payer.Contact.Type` (any)
    Example: Contact

  - `Payer.Contact.Id` (any)
    Example: a0P3X00000WjR8AUAV

  - `Payer.Contact.Name` (any)
    Example: Test Payer

  - `Payer.Account` (object)

  - `Payer.Account.Url` (any)
    Example: /services/data/v65.0/sobjects/Account/0011j00000itNdlAAE

  - `Payer.Account.Type` (any)
    Example: Account

  - `Payer.Account.Id` (any)
    Example: 0011j00000itNdlAAE

  - `Payer.Account.Name` (any)
    Example: Payer Family

  - `OneTime` (object)
    Details about the installment related to the payment intent inbound report.

  - `OneTime.Url` (any)
    Example: /services/data/v65.0/sobjects/cpm__Installment__c/a083X00001aUMCnQAO

  - `OneTime.Type` (any)
    Example: cpm__Installment__c

  - `OneTime.Id` (any)
    Example: a083X00001aUMCnQAO

  - `OneTime.Status` (any)
    Example: Collected

  - `Recurring` (object)
    Details about the installment related to the payment intent inbound report.

  - `Recurring.Url` (any)
    Example: /services/data/v65.0/sobjects/cpm__Recurring_Payment__c/a0V3X00000RKBZmUAP

  - `Recurring.Type` (any)
    Example: cpm__Recurring_Payment__c

  - `Recurring.Id` (any)
    Example: a0V3X00000RKBZmUAP

## Response 422 fields (application/json):

  - `error_code` (integer, required)
    Example: 999

  - `error_message` (string, required)
    Example: Payment intent not found: Please check that the supplied Id value is correct.

